RFQs
Retrieve a single open RFQ
Retrieve a specific open RFQ by its unique identifier
Note: This is currently available exclusively in the Kraken Futures DEMO environment.
GET
Retrieve a single open RFQ
Path Parameters
Unique identifier for the RFQ
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Retrieve a specific open RFQ by its unique identifier
Note: This is currently available exclusively in the Kraken Futures DEMO environment.
curl --request GET \
--url https://demo-futures.kraken.com/derivatives/api/v3/rfqs/{rfqUid}import requests
url = "https://demo-futures.kraken.com/derivatives/api/v3/rfqs/{rfqUid}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://demo-futures.kraken.com/derivatives/api/v3/rfqs/{rfqUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://demo-futures.kraken.com/derivatives/api/v3/rfqs/{rfqUid}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"rfq": {
"rfqUid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expiry": "2023-11-07T05:31:56Z",
"markPrice": 123,
"legs": [
{
"symbol": "<string>",
"size": 123,
"markPrice": 123
}
]
},
"result": "success",
"serverTime": "2020-08-27T17:03:33.196Z"
}Unique identifier for the RFQ
curl --request GET \
--url https://demo-futures.kraken.com/derivatives/api/v3/rfqs/{rfqUid}import requests
url = "https://demo-futures.kraken.com/derivatives/api/v3/rfqs/{rfqUid}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://demo-futures.kraken.com/derivatives/api/v3/rfqs/{rfqUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://demo-futures.kraken.com/derivatives/api/v3/rfqs/{rfqUid}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"rfq": {
"rfqUid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expiry": "2023-11-07T05:31:56Z",
"markPrice": 123,
"legs": [
{
"symbol": "<string>",
"size": 123,
"markPrice": 123
}
]
},
"result": "success",
"serverTime": "2020-08-27T17:03:33.196Z"
}